Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AutosaveSettingsScope

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AutosaveSettingsScope

Direct Known Subclasses:
  `TdApi.AutosaveSettingsScopeChannelChats`, `TdApi.AutosaveSettingsScopeChat`, `TdApi.AutosaveSettingsScopeGroupChats`, `TdApi.AutosaveSettingsScopePrivateChats`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.AutosaveSettingsScope extends TdApi.Object permits TdApi.AutosaveSettingsScopePrivateChats, TdApi.AutosaveSettingsScopeGroupChats, TdApi.AutosaveSettingsScopeChannelChats, TdApi.AutosaveSettingsScopeChat
This class is an abstract base class. Describes scope of autosave settings.

## Constructor Summary

Constructors
Constructor
Description
`AutosaveSettingsScope()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AutosaveSettingsScope

public AutosaveSettingsScope()
Default class constructor.